#ifndef __VPCALC_DEV_H
#define __VPCALC_DEV_H

#include <SDL_keysym.h>

typedef void *dev_o;

dev_o dev_new(const char *libname, mem_o mem, gfx_o gfx);
void dev_del(dev_o dev);

void dev_keydown(dev_o dev, SDLKey key);
void dev_keyup(dev_o dev, SDLKey key);

void dev_out(dev_o dev, uint port, uint data);
uint dev_in(dev_o dev, uint port);

void dev_map_sleep(dev_o dev, int *ptr);

#endif
